www-infrastructure-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jake Farrell (JIRA)" <j...@apache.org>
Subject [jira] [Closed] (INFRA-6207) Jenkins - Upgrade "JDK 1.6 (latest)" installed on Ubuntu
Date Mon, 27 May 2013 05:20:20 GMT

     [ https://issues.apache.org/jira/browse/INFRA-6207?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Jake Farrell closed INFRA-6207.
-------------------------------

    Resolution: Fixed

latest jdk of 1.6.0-45 is now on all jenkins build slaves

/home/jenkins/tools/java/latest1.6/bin/java -version
java version "1.6.0_45"
Java(TM) SE Runtime Environment (build 1.6.0_45-b06)
Java HotSpot(TM) Server VM (build 20.45-b01, mixed mode)
                
> Jenkins - Upgrade "JDK 1.6 (latest)" installed on Ubuntu
> --------------------------------------------------------
>
>                 Key: INFRA-6207
>                 URL: https://issues.apache.org/jira/browse/INFRA-6207
>             Project: Infrastructure
>          Issue Type: Task
>      Security Level: public(Regular issues) 
>          Components: Jenkins
>         Environment: Apache Maven 3.0.4 (r1232337; 2012-01-17 08:44:56+0000)
> Maven home: /x1/jenkins/tools/maven/apache-maven-3.0.4
> Java version: 1.6.0_32, vendor: Sun Microsystems Inc.
> Java home: /x1/jenkins/tools/java/jdk1.6.0_32-32/jre
> Default locale: en_US, platform encoding: ANSI_X3.4-1968
> OS name: "linux", version: "3.2.0-40-generic", arch: "i386", family: "unix"
>            Reporter: Babak Vahdat
>            Assignee: Jake Farrell
>
> Looking at:
> https://builds.apache.org/job/Camel.trunk.notest/1855/consoleText
> The latest JDK 1.6 being installed on this Linux box seems to be:
> Java version: 1.6.0_32, vendor: Sun Microsystems Inc.
> And recently we started making use of customized Java Annotation Processing inside Apache
Camel code base and we believe bugs like the following now cause our builds to fail: 
> http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6512707
> Which has been already fixed since JDK 1.6 build 44 (according to the information on
the bug ticket above). The currently available JDK 1.6 build from Oracle on Linux-Ubuntu is
45 which we would like to ask you to install on Ubuntu.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message